Bug 220250 - internal compiler error
internal compiler error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-19 16:51 EST by mcconnau
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 03:08:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
archive with above mentioned files: tar -xj (63.93 KB, multipart/tarball)
2006-12-19 16:51 EST, mcconnau
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 30262 None None None Never

  None (edit)
Description mcconnau 2006-12-19 16:51:50 EST
Description of problem:
error compiling file FPUmath.c
relevant messages in attached "compiler_error"
compiler output attached: "ccpNzUjr.out"
source attached: "FPUmath.c"
my headers attached: "defines.h" "FPUmath.h" "platform.h" "errors.h" "opclist.h"
"structs.h"
these headers from another system were needed:
"bitops.h" from /usr/include/asm
"config.h" from /usr/include/linux

Version-Release number of selected component (if applicable):


How reproducible:
every time


Steps to Reproduce:
1.   gcc -c -g -O -Wall FPUmath.c
2.
3.
  
Actual results:
see "compiler_error"


Expected results:
compiled normally on Emperor Linux laptop (kernel 2.6.12.emp2)
compiled normally on a kernel 2.2 laptop and kernel 2.4 desktop


Additional info:
Comment 1 mcconnau 2006-12-19 16:51:50 EST
Created attachment 144046 [details]
archive with above mentioned files:   tar -xj
Comment 3 Jakub Jelinek 2006-12-21 03:08:57 EST
Fixed in gcc-4.1.1-48.

Note You need to log in before you can comment on or make changes to this bug.